com.digi.xbee.api.exceptions

## Class InterfaceInUseException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - com.digi.xbee.api.exceptions.XBeeException
      - - com.digi.xbee.api.exceptions.ConnectionException
        - - com.digi.xbee.api.exceptions.InterfaceInUseException

- All Implemented Interfaces:
    Serializable

      public class InterfaceInUseException
      extends ConnectionException

  This exception will be thrown when trying to open the port/communication interface but it is already in use by other applications.
  See Also:
    `ConnectionException`, Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `InterfaceInUseException()` Creates an `InterfaceInUseException` with as its error detail message.
    `InterfaceInUseException(String message)` Creates an `InterfaceInUseException` with the specified message.
    `InterfaceInUseException(String message, Throwable cause)` Creates an `InterfaceInUseException` with the specified message and cause.

  - ### Method Summary

    - ### Methods inherited from class com.digi.xbee.api.exceptions.XBeeException

      `getCause`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### InterfaceInUseException

          public InterfaceInUseException()

      Creates an `InterfaceInUseException` with as its error detail message.

    - #### InterfaceInUseException

          public InterfaceInUseException(String message)

      Creates an `InterfaceInUseException` with the specified message.
      Parameters:
        `message` - The associated message.

    - #### InterfaceInUseException

          public InterfaceInUseException(String message,
                                 Throwable cause)

      Creates an `InterfaceInUseException` with the specified message and cause.
      Parameters:
        `message` - The associated message.
        `cause` - The cause of this exception.
      See Also:
        `Throwable`

© Copyright 2014–2014 Digi International Inc. All rights reserved.